Subject: Re: FUNNAME: Re: New version 1.58

From: Zheng Gengbing <[email-masked]>
Date: Wed, 26 Jun 1996 09:51:03 +0800 (EAT)

On Tue, 25 Jun 1996, Guansong Zhang wrote:

> On Jun 21,  5:20pm, Zheng Gengbing wrote:
> > Subject: New version 1.58
> >
> > Hi,
> >
> > 	everyone , I am very glad to tell you that version 1.58 is ready.
> >
> > 	In this version , some dramatic changes have done to do the separate
> > compilation.
> >
> > 	This version have these improvement:
> > 	1. configure is improved so that cache are enabled .
> >
> > 	2. Files in hpf2dep , hpfsc are adjusted to enable the config.h ,
> > 		but I forget if I have changed the files in dump and unparse.
> >
> > 	3. separate compilation enabled :
> > 	   use hpfsc -h , you can see the flag the hpfsc recognize .
> >
> >
> > 	Testsuite contain a new dir -- mult , which derived from the black
> > hole problem , this is a demo for separate compilation.
> > After separate compilation , a file bh is produced , use unparse to this
> > file , you can see the result of linking .
> > 	'make dep' enable you to see the mod file dependence .
> >
> > you can enjoy it now .
> >
> > Today , I have no time to explain further now ,
> >
> > Gengbin
> >
> >
> >
> >
> >-- End of excerpt from Zheng Gengbing
> 
> Please explain your way of dealing FUNNAME, I think all of us have agreed that
> this token is not necessary, but I find it still there in 1.58 and still a
> problem to flex.
> 
> I also do not understand why keyword on and off mechanism is used here, because
> this is not favored by HIT.
> 
> 

	I don't touch it in this version . If we all agree that , the simplest
way to deal the problem is to add return (NAME) like the version before 1.58.

	The keyword on and off is just for try . It seem can solve our problem
of writing intrinsic function prototypes.
	As I think , although  keyword on and off method cannot deal the all
things , it do provide a better way to deal the cases where keywords 
are not present in the beginning of the rule .

Gengbin